MOUNT_PTYFS(8) | System Manager's Manual | MOUNT_PTYFS(8)

# NAME

`mount_ptyfs` — mount the /dev/pts file system

# SYNOPSIS

`mount_ptyfs` | [`-g` group|gid] [`-m` mode] [`-o` options] ptyfs mount_point

# DESCRIPTION

The `mount_ptyfs` command attaches an instance of the pseudo-terminal device filesystem to the global filesystem namespace. The conventional mount point is /dev/pts. The directory specified by mount_point is converted to an absolute path before use. This command is normally executed by mount(8) at boot time.

The filesystem contains pseudo-terminal slave device nodes which are allocated dynamically via ptm(4).

The options are as follows:

`-g` group|gid
  Specify the group ownership of the slave pseudo-tty.
`-m` mode
  Specify the default mode of the slave pseudo-tty.
`-o`
  Options are specified with a `-o` flag followed by a comma separated string of options.

  `mount_ptyfs` specific options are `group` which corresponds to `-g`, and `mode` which corresponds to `-m`. See the mount(8) man page for possible options and their meanings.

# FILES

n
  The nth pseudo-terminal device in use.

# SEE ALSO

mount(2), unmount(2), ptm(4), fstab(5), mount(8)

# HISTORY

The `mount_ptyfs` utility first appeared in NetBSD 3.0.

August 13, 2014 | NetBSD 11.0